--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set up a sale that will be made on a regular basis for the same amount (ex. $20 a month for 12 months)
- !ruby/struct:SM::Flow::P 
  body: The parameter :periodicity should be specified as either :monthly, :weekly, or :daily The parameter :payments should be the number of payments to be made
- !ruby/struct:SM::Flow::VERB 
  body: "  gateway.recurring('2000', creditcard, :periodicity =&gt; :monthly, :payments =&gt; 12)\n"
- !ruby/struct:SM::Flow::P 
  body: The optional parameter :starting_at takes a date or time argument or a string in YYYYMMDD format and can be used to specify when the first charge will be made. If omitted the first charge will be immediate.
full_name: ActiveMerchant::Billing::PayJunctionGateway#recurring
is_singleton: false
name: recurring
params: (money, payment_source, options = {})
visibility: public
